Bug 1196581 (CVE-2015-1421) - CVE-2015-1421 kernel: net: slab corruption from use after free on INIT collisions
Summary: CVE-2015-1421 kernel: net: slab corruption from use after free on INIT collis...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-1421
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1135425 1183959 1196587 1196588 1196589 1196590 1196591 1196592 1196593 1196594 1196595
Blocks: 1186793
TreeView+ depends on / blocked
 
Reported: 2015-02-26 10:33 UTC by Petr Matousek
Modified: 2019-09-29 13:29 UTC (History)
26 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A use-after-free flaw was found in the way the Linux kernel's SCTP implementation handled authentication key reference counting during INIT collisions. A remote attacker could use this flaw to crash the system or, potentially, escalate their privileges on the system.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:39:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0726 normal SHIPPED_LIVE Important: kernel security and bug fix update 2015-03-26 20:52:07 UTC
Red Hat Product Errata RHSA-2015:0727 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2015-03-26 15:58:18 UTC
Red Hat Product Errata RHSA-2015:0751 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2015-03-30 12:19:15 UTC
Red Hat Product Errata RHSA-2015:0782 normal SHIPPED_LIVE Important: kernel security and bug fix update 2015-04-07 19:08:32 UTC
Red Hat Product Errata RHSA-2015:0864 normal SHIPPED_LIVE Important: kernel security and bug fix update 2015-04-21 19:00:52 UTC
Red Hat Product Errata RHSA-2015:1030 normal SHIPPED_LIVE Important: kernel security and bug fix update 2015-05-27 16:07:13 UTC
Red Hat Product Errata RHSA-2015:1082 normal SHIPPED_LIVE Important: kernel security update 2015-06-09 18:24:30 UTC

Description Petr Matousek 2015-02-26 10:33:34 UTC
An use after free flaw was found in the Linux kernel SCTP implementation
handled auth keys reference counting during INIT collisions.

A remote user could use this flaw to crash the system or, though unlikely,
escalate their privileges on the system.

Upstream patch:

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=600ddd6825543962fb807884169e57b580dba208

Acknowledgements:

This issue was discovered by Sun Baoliang of Red Hat.

Comment 1 Petr Matousek 2015-02-26 10:42:03 UTC
Statement:

This issue did not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2. Future Linux kernel updates for the respective releases may address this issue.

Comment 5 Petr Matousek 2015-02-26 10:43:49 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1196595]

Comment 6 Fedora Update System 2015-03-09 08:17:12 UTC
kernel-3.18.8-201.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-03-14 09:15:21 UTC
kernel-3.18.9-100.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 errata-xmlrpc 2015-03-26 11:58:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:0727 https://rhn.redhat.com/errata/RHSA-2015-0727.html

Comment 9 errata-xmlrpc 2015-03-26 16:53:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:0726 https://rhn.redhat.com/errata/RHSA-2015-0726.html

Comment 10 errata-xmlrpc 2015-03-30 08:19:41 UTC
This issue has been addressed in the following products:

  MRG for RHEL-6 v.2

Via RHSA-2015:0751 https://rhn.redhat.com/errata/RHSA-2015-0751.html

Comment 11 errata-xmlrpc 2015-04-07 15:13:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.5 EUS - Server and Compute Node Only

Via RHSA-2015:0782 https://rhn.redhat.com/errata/RHSA-2015-0782.html

Comment 12 errata-xmlrpc 2015-04-21 15:04:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:0864 https://rhn.redhat.com/errata/RHSA-2015-0864.html

Comment 13 errata-xmlrpc 2015-05-27 12:07:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.4 AUS - Server Only

Via RHSA-2015:1030 https://rhn.redhat.com/errata/RHSA-2015-1030.html

Comment 14 errata-xmlrpc 2015-06-09 14:24:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.2 AUS

Via RHSA-2015:1082 https://rhn.redhat.com/errata/RHSA-2015-1082.html


Note You need to log in before you can comment on or make changes to this bug.